org.eclipse.viatra.transformation.evm.api

## Class CompositeJob<EventAtom>

- java.lang.Object
- - org.eclipse.viatra.transformation.evm.api.Job<EventAtom>
  - - org.eclipse.viatra.transformation.evm.api.CompositeJob<EventAtom>

- Direct Known Subclasses:
    EnableJob, ErrorLoggingJob, RecordingJob

      public class CompositeJob<EventAtom>
      extends Job<EventAtom>

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `CompositeJob(Job<EventAtom> job)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `execute(Activation<? extends EventAtom> activation, Context context)` Executes the action on the activation using the supplied context.
    `protected void` | `handleError(Activation<? extends EventAtom> activation, java.lang.Exception exception, Context context)` Called if the `Job.execute(org.eclipse.viatra.transformation.evm.api.Activation<? extends EventAtom>, org.eclipse.viatra.transformation.evm.api.Context)` method has thrown an exception to allow jobs to handle their own errors.

    - ### Methods inherited from class org.eclipse.viatra.transformation.evm.api.Job

      `getActivationState`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CompositeJob

          protected CompositeJob(Job<EventAtom> job)

  - ### Method Detail

    - #### execute

          protected void execute(Activation<? extends EventAtom> activation,
                                 Context context)

      Description copied from class: `Job`
      Executes the action on the activation using the supplied context.
      Specified by:
        `execute` in class `Job<EventAtom>`

    - #### handleError

          protected void handleError(Activation<? extends EventAtom> activation,
                                     java.lang.Exception exception,
                                     Context context)

      Description copied from class: `Job`
      Called if the `Job.execute(org.eclipse.viatra.transformation.evm.api.Activation<? extends EventAtom>, org.eclipse.viatra.transformation.evm.api.Context)` method has thrown an exception to allow jobs to handle their own errors.
      Specified by:
        `handleError` in class `Job<EventAtom>`